# Radio buttons

Home Search

## Radio buttons

- Basics
- Options
- Methods
- Events

The radio button has the following methods:

`enable` enable a disabled radio button

       $("input[type='radio']").checkboxradio('enable');

`disable` disable a radio button

      $("input[type='radio']").checkboxradio('disable');

`refresh` update the radio button
  If you manipulate a radio button via JavaScript, you must call the refresh method on it to update the visual styling.

      $("input[type='radio']:first").attr("checked",true).checkboxradio("refresh");

### More in this section

- Form elements
- Form basics
- Form element gallery
- Mini form element gallery
- Text inputs
- Search input
- Slider
- Flip toggle switch
- Radio buttons
- Checkboxes
- Select menus
- Theming forms
- Native form elements
- Submitting forms